If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors

RESOLVED WORKSFORME

Status

()

Core
DOM
RESOLVED WORKSFORME
8 years ago
5 years ago

People

(Reporter: dholbert, Unassigned)

Tracking

(Blocks: 1 bug, {intermittent-failure})

Trunk
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

8 years ago
Seen on Linux 1.9.1 tinderbox this morning:
{
31770 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 7 assertions, 3 failures, 0 errors
}

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1246865923.1246872979.3866.gz
Linux mozilla-1.9.1 unit test on 2009/07/06 00:38:43

(See also Bug 452706 for another "test_Prototype.html" sporadic failure.)
(Reporter)

Comment 1

8 years ago
I just found bug 471227 (which is marked as being fixed) -- it mentions this failure, along with many other types of test_Prototype failures.

I'm not duping this to that one, because that bug seems like more of a grab-bag of test_Prototype failures (and it's entirely possible that it is indeed "fixed" for most of the types of failures that it describes).
Summary: test_Prototype.html | testResponders - 7 assertions, 3 failures, 0 errors → test_Prototype.html | testResponders - 7 assertions, 3 failures, 0 errors (sporadic mochitest failure)
Whiteboard: [orange]
(Reporter)

Comment 2

8 years ago
Here are more details from the "Full" version of the log linked in comment 0:
31770 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 7 assertions, 3 failures, 0 errors
Failure: assertEqual: expected "0", actual "1" Line #127
Failure: assertEqual: expected "1", actual "2" Line #130
Failure: assertEqual: expected "3", actual "4" Line #133
Depends on: 471227
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259019970.1259022061.3990.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/11/23 15:46:10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260477249.1260478792.15247.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/10 12:34:09
s: win32-slave33
2882 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260492895.1260494773.31671.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/10 16:54:55
s: win32-slave08
2882 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260506821.1260508542.9322.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/10 20:47:01
s: win32-slave06
2882 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260653779.1260656221.7047.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/12 13:36:19  
s: win32-slave07
2882 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260683887.1260685523.32541.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/12 21:58:07  
s: win32-slave01
2882 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260689324.1260691120.28780.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/12 23:28:44
s: win32-slave02
2882 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260739320.1260740815.22802.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/13 13:22:00
s: win32-slave16
2882 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260791211.1260792597.8425.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/14 03:46:51  
s: win32-slave38
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260999634.1261002056.26193.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/16 13:40:34
s: win32-slave29
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261438789.1261440786.8489.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/21 15:39:49
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261442458.1261444582.20591.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/21 16:40:58
s: win32-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261487739.1261489518.1458.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261518182.1261520099.25984.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/22 13:43:02
s: win32-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261535431.1261537802.31502.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/22 18:30:31
s: win32-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261588671.1261590305.7087.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/23 09:17:51
s: win32-slave01
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261621805.1261623651.23089.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/23 18:30:05
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261628856.1261631047.7004.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/23 20:27:36
s: win32-slave17
Ftr, the Linux/7/3 case seems to have morphed to Window/8/2 between comment 2 and comment 3 (dates).

*****

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261986458.1261988112.10891.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/27 23:47:38

There is something odd with the "5954/3/307" summary too:
1 'TEST-UNEXPECTED-FAIL' in the brief log,
2 'failures' reported,
3 test failures counted.
OS: Linux → Windows Server 2003
Summary: test_Prototype.html | testResponders - 7 assertions, 3 failures, 0 errors (sporadic mochitest failure) → mochitest-plain-2: intermittent "test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors"
Blocks: 451287
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262082594.1262084311.31475.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/29 02:29:54
s: win32-slave01
WINNT 5.2 mozilla-central debug test mochitests-2/5 [testfailed] Started 01:51, finished 02:21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262166708.1262168441.26707.gz&fulltext=1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262216415.1262218500.11495.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/30 15:40:15
s: win32-slave09
2882 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262220061.1262221414.11077.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/12/30 16:41:01
s: win32-slave37
2882 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262265032.1262265633.14610.gz
OS X 10.5.2 mozilla-central opt test mochitests-2/5 on 2009/12/31 05:10:32
2855 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
(Reporter)

Comment 27

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262657537.1262658850.6134.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/01/04 18:12:17
s: win32-slave28

Comment 28

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262682634.1262684457.23922.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262742393.1262744277.23945.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/01/05 17:46:33
s: win32-slave40
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262723716.1262725419.5826.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/01/05 12:35:16
s: win32-slave36
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262877951.1262879812.23674.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/07 07:25:51
s: moz2-darwin9-slave20
2853 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262889965.1262892450.8278.gz
s: win32-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262899300.1262901480.12425.gz
Linux mozilla-central debug test mochitests-2/5 on 2010/01/07 13:21:40
s: moz2-linux-slave28
2845 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262951544.1262953836.6336.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/08 03:52:24
s: moz2-darwin9-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262986100.1262987751.31656.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/08 13:28:20
s: moz2-darwin9-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262999052.1263000775.2978.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/08 17:04:12
s: moz2-darwin9-slave17
2853 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
OS X 10.5.2 mozilla-central debug test mochitests-2/5 [testfailed] Started 14:01, finished 14:31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263247306.1263249034.21141.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/12 20:15:16  
s: moz2-darwin9-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263356116.1263358270.7380.gz#err0

> 2853 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
> Failure: assertEqual
> expected <3>, actual: <2> ajax_test.js: Line #135
> Failure: assertEqual
> expected <0>, actual: <1> ajax_test.js: Line #136
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263418879.1263421676.5321.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/13 13:41:19
s: moz2-darwin9-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263553334.1263556297.26776.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263586421.1263588793.14089.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/15 12:13:41
s: moz2-darwin9-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263684320.1263686360.20268.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/16 15:25:20
s: moz2-darwin9-slave09
2853 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263719207.1263721291.601.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263858167.1263861065.32009.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/18 15:42:47
s: moz2-darwin9-slave24
2853 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263943423.1263946008.30453.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263944898.1263947690.18209.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/19 15:48:18
s: moz2-darwin9-slave13

Comment 47

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263987131.1263989174.23761.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/20 03:32:11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264027003.1264028647.24596.gz
OS X 10.5.2 mozilla-central debug test mochitests-2/5 on 2010/01/20 14:36:43
s: bm-xserve11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1264102816.1264106335.30600.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2010/01/21 11:40:16
s: moz2-darwin9-slave13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1264158156.1264162882.29036.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2010/01/22 03:02:36
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265317339.1265319302.12958.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/02/04 13:02:19
s: win32-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265667962.1265670538.5209.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/02/08 14:26:02
s: win32-slave20
OS: Windows Server 2003 → All
Hardware: x86 → All
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265742410.1265744422.4994.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/02/09 11:06:50
s: win32-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266425222.1266427342.25532.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268878712.1268881058.17644.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/03/17 19:18:32
s: win32-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268955517.1268958397.25829.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/03/18 16:38:37
s: win32-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269009073.1269010912.6798.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/03/19 07:31:13
s: win32-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269290039.1269292419.9016.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/03/22 13:33:59
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269470331.1269473458.30371.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/03/24 15:38:51
s: win32-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1269888366.1269891412.16704.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests s: moz2-darwin9-slave0944491
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
alqahira at ardisson dot org
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277421751.1277425862.21756.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2010/06/24 16:22:31

s: moz2-darwin9-slave07
45100 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testUpdater - 3 assertions, 1 failures, 0 errors
45101 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testUpdaterWithInsertion - 0 assertions, 2 failures, 0 errors
45103 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 6 assertions, 4 failures, 0 errors
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277513481.1277516588.6643.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2010/06/25 17:51:21

s: moz2-darwin9-slave55
45105 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 6 assertions, 4 failures, 0 errors
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Summary: mochitest-plain-2: intermittent "test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors" → test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.